require "optparse"
require "devops-client/options/common_options"

class FilterOptions < CommonOptions

  commands :image => [:add, :delete, :list]

  COMMAND_NAME = "filter"

  def initialize args, def_options
    super(args, def_options)
    self.header = I18n.t("headers.filters")
    p = "PROVIDER"
    self.image_list_params = [p]
    i = "IMAGE..."
    self.image_add_params = [p, i]
    self.image_delete_params = [p, i]
  end
end
